import { AfterViewInit, DoCheck, ElementRef, OnDestroy, OnInit } from "@angular/core";
import { StiFormElement } from "../../elements/base/StiFormElement";
import { StiFormPageElement } from "../../elements/StiFormPageElement";
import { StiModelService } from "../../services/model.service";
import { StiComponentResizerService } from "../../services/sti-component-resizer.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiEditableContentService } from "../../services/sti-editable-content.service";
import { Subscription } from "rxjs";
import * as i0 from "@angular/core";
export declare class PageComponent implements OnInit, AfterViewInit, DoCheck, OnDestroy {
    model: StiModelService;
    loc: StiLocalizationService;
    componentResizerService: StiComponentResizerService;
    editableContent: StiEditableContentService;
    BORDER_WIDTH: number;
    isInitialized: boolean;
    PANEL_NAVIGATION_WIDTH: number;
    INNER_MARGIN: number;
    previewModeChangesObserver: Subscription;
    previewModeIsInitialized: boolean;
    pageEl: ElementRef;
    pageContainerEl: ElementRef;
    page: StiFormPageElement;
    get width(): number;
    get height(): number;
    get id(): string;
    get elements(): StiFormElement[];
    get className(): string;
    get backgroundImage(): string;
    onContainerMouseDown(event: MouseEvent): void;
    onMouseDown(event: MouseEvent): void;
    getPageIndex(): number;
    get zoom(): number;
    getLeftMargin(): number;
    constructor(model: StiModelService, loc: StiLocalizationService, componentResizerService: StiComponentResizerService, editableContent: StiEditableContentService);
    ngOnDestroy(): void;
    ngDoCheck(): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PageComponent, "app-page", never, { "page": { "alias": "page"; "required": false; }; }, {}, never, never, false, never>;
}
